Versiones

Última versión estable

La versión estable actual es la 2.5.7.

Está leyendo el manual de la versión 2.5. Puede leer otras versiones del manual utilizando los selectores situados en la parte superior derecha o inferior izquierda de la pantalla. Tenga en cuenta que no todas las versiones del manual están disponibles en español.

2.5.7 – Febrero 2022

Los usuarios actuales pueden actualizar a esta versión siguiendo las instrucciones de Notas de la versión. Los nuevos usuarios deben seguir la Guía de introducción.

This release includes small user interface improvements, fixes a bug with database data sources and corrects a problem when deleting which have been assigned a DOI within the IPT. It also fixes the "Reset Password" button on the admin page.

No se ha estipulado una fecha de lanzamiento para la próxima versión. El progreso en el trabajo realizado sobre las incidencias para el próximo lanzamiento puede consultarse https://github.com/gbif/ipt/milestones [en GitHub].

Los problemas menores y los asuntos de seguridad se abordarán en parches para las diferentes versiones.

2.5.6 – February 2022

Los usuarios actuales pueden actualizar a esta versión siguiendo las instrucciones de Notas de la versión. Los nuevos usuarios deben seguir la Guía de introducción.

This version brings new Darwin Core terms (establishmentMeans, degreeOfEstablishment, pathway etc.) It also changes the way user passwords are stored to improve their security. All users are encouraged to upgrade to this version.

2.5.5 – Diciembre 2021

Los usuarios actuales pueden actualizar a esta versión siguiendo las instrucciones de Notas de la versión. Los nuevos usuarios deben seguir la Guía de introducción.

Esta versión contiene actualizaciones adicionales de seguridad de la biblioteca Log4J. También contiene una corrección relacionada con el Darwin Core (los elementos identifiedByID/recordedByID que no se mostraban). Se recomienda a todos los usuarios que actualicen a esta versión, especialmente si utilizan esos elementos del Darwin Core.

2.5.4 – Diciembre 2021

Los usuarios actuales pueden actualizar a esta versión siguiendo las instrucciones de Notas de la versión. Los nuevos usuarios deben seguir la Guía de introducción.

Esta versión contiene correcciones a problemas de seguridad críticos con las bibliotecas Struts y Log4J. Se recomienda a todos los usuarios que actualicen a esta versión lo antes posible.

2.5.3 – Diciembre 2021

Los usuarios actuales pueden actualizar a esta versión siguiendo las instrucciones de Notas de la versión. Los nuevos usuarios deben seguir la Guía de introducción.

Esta versión contiene una actualización de la traducción al español de la interfaz de usuario y una pequeña corrección de errores para la página de vocabularios en la sección de administración. No hay otros cambios desde la versión 2.5.2 y no es necesario actualizar si no desea hacerlo. Gracias al trabajo de los traductores, se ha completado la traducción de este manual de usuario al español.

2.5.2 Noviembre 2021

Los usuarios actuales deben actualizarse a esta versión siguiendo las instrucciones de Notas de la versión. Los usuarios nuevos deben seguir los Primeros pasos: instalación y configuración inicial.

Esta versión aborda los errores introducidos en las versiones 2.5 anteriores, principalmente en torno a la edición de metadatos y las citaciones. Se incluyen otras mejoras para la instalación y la administración del servidor, así como actualizaciones de la interfaz de usuario y nuevas versiones de las dependencias de las bibliotecas.

2.5.1 – Septiembre de 2021

Los usuarios actuales deben actualizarse a esta versión siguiendo las instrucciones de Notas de la versión. Los usuarios nuevos deben seguir los Primeros pasos: instalación y configuración inicial.

Esta versión soluciona un error introducido en la versión 2.5.0, que impedía al IPT conectarse a fuentes de bases de datos. Los usuarios que conecten el IPT a fuentes de bases de datos tendrán que actualizarse a la versión 2.5.1.

2.5.0 – Agosto de 2021

Los usuarios actuales deben actualizarse a esta versión siguiendo las instrucciones de Notas de la versión. Los usuarios nuevos deben seguir los Primeros pasos: instalación y configuración inicial.

Esta versión aborda 81 incidencias incluyendo el famoso "error de doble inicio de sesión" y trae una interfaz de usuario de aspecto más fresco. El manual de usuario también se ha renovado, permitiendo una traducción completa al español.

2.4.2 - Septiembre de 2020

La versión 2.4.2 soluciona una vulneración menor de la seguridad en Apache Struts, que utiliza el IPT. Los usuarios deberían planear una actualización a esta versión siguiendo las instrucciones de las Notas de la Versión. También se ha incluido una mejora para el uso de memoria cuando se leen conjuntos de datos grandes desde un servidor PostgreSQL.

2.4.1 - Septiembre de 2020

La versión 2.4.1 soluciona una vulneración de la seguridad en Apache Struts que utiliza el IPT. Los usuarios deberían planear una actualización de esta versión siguiendo las instrucciones de las Notas de la Versión.

2.4.0 – Julio de 2019

La versión 2.4.0 soluciona vulneraciones de seguridad en Apache Jackson y Apache Struts que utiliza el IPT. Los usuarios deberían planear una actualización a esta versión siguiendo las instrucciones de las Notas de la Versión. También se actualiza la integración para DOI personalizados desde DataCite y elimina el soporte para DOIs (sin uso) de EZID. El número de versión ha sido actualizado a 2.4.0 para reflejar la eliminación del soporte para EZID.

2.3.6 - Julio de 2018

La versión 2.3.6 soluciona una vulneración de seguridad en JQuery que utiliza el IPT. Los usuarios deberían planear una actualización a esta versión siguiendo las instrucciones de las Notas de la Versión.

Una incidencia permanece con DOIs personalizados de DataCite. Si es necesario, se lanzará otra versión del IPT en julio o agosto.

2.3.5 – Octubre de 2017

La versión 2.3.4 soluciona una vulnerabilidad de seguridad que fue descubierta en el marco de trabajo web de Apache Struts que utiliza el IPT. Esta vulneración afecta a todas las versiones del IPT, incluyendo la 2.3.3, por ello todos los usuarios deberían planear una actualización a esta versión inmediatamente siguiendo las instrucciones de las lNotas de la versión.

2.3.4 - Marzo de 2017

La versión 2.3.4 soluciona una vulnerabilidad de seguridad que fue descubierta en el marco de trabajo web de Apache Struts que utiliza el IPT. Esta vulneración afecta a todas las versiones del IPT, incluyendo la 2.3.3, por ello todos los usuarios deberían planear una actualización a esta versión inmediatamente siguiendo las instrucciones de las lNotas de la versión.

2.3.3 - Diciembre de 2016

En esta entrada del blog se describen las nuevas características añadidas al IPT en la versión 2.3.3. Además, tenga en cuenta por favor, que GBIF lanzó recientemente un nuevo conjunto de modelos de Microsoft Excel para la carga de datos en el IPT. Los nuevos modelos proporcionan una solución más simple para la captura, formateo y subida de los tres tipos de datos de GBIF: datos de eventos de muestro, datos de presencias de especies y datos de listados de especies. Se puede encontrar más información sobre estos modelos en esta noticia.

2.3.2 - Octubre de 2015

2.3.1 - Septiembre de 2015

2.3 - Septiembre de 2015

2.2.1 - Abril de 2015

2.2 - Marzo de 2015

2.1 - Abril de 2014

2.0.5 - Mayo de 2013

2.0.4 - Octubre de 2012

2.0.3 Noviembre de 2011

2.0.2 – Junio de 2011

2.0.1 – Febrero de 2011